=== debian/changelog ===
vorta (0.10.3-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.10.3
  * Do not generate a dependency on python3-pkg-resources (Closes: #1083985)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 Jan 2025 14:17:08 +0100
