=== debian/control ===
Source: vorta
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nicholas D Steeves <sten@debian.org>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               dh-sequence-python3,
               python3-all,
               pyqt6-dev-tools,
               borgbackup             <!nocheck>,
               dbus-daemon            <!nocheck>,
               fuse3                  <!nocheck>,
               libqt6svg6             <!nocheck>,
               openssh-client         <!nocheck>,
               python3-pyfuse3        <!nocheck>,
               python3-pytest-mock    <!nocheck>,
               python3-peewee         <!nocheck>,
               python3-platformdirs   <!nocheck>,
               python3-psutil         <!nocheck>,
               python3-pyqt6          <!nocheck>,
               python3-pytestqt       <!nocheck>,
               python3-setuptools,
               xauth                  <!nocheck>,
               xvfb                   <!nocheck>,
               qt6-l10n-tools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://vorta.borgbase.com
Vcs-Browser: https://salsa.debian.org/python-team/packages/vorta
Vcs-Git: https://salsa.debian.org/python-team/packages/vorta.git
Testsuite: autopkgtest-pkg-python
# nonsuperficial tests manually configured in debian/tests/unittests

Package: vorta
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
         libqt6svg6,
         pyqt6-dev-tools,
Recommends: borgbackup,
            openssh-client
Description: Desktop Client for Borg Backup
 Vorta is a GUI backup client for macOS and Linux desktops. It enables less
 technical users, or users who prefer GUIs, to benefit from the mighty
 BorgBackup.  Now anyone can easily and conveniently protect their data from
 disk failure, ransomware, theft, and user error.
 .
 Features:
   * Encrypted, deduplicated, and compressed backups via Borg.
   * Backup to disk (DAS: direct-attached storage), server (NAS: network
     attached storage), or a hosting service that supports Borg (BorgBase,
     rsync.net, et al).
   * Backups over SSH using "borg server".
   * Profiles for grouping source folders, backup destinations, and schedules.
   * Unified interface for viewing and managing all archives.
   * Enhanced ease of use when restoring individual files.
   * Built-in backup scheduling method that does not depend on system-level
     facilities such as cron or systemd timers.
