=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=vorta
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--ignore tests/network_manager/test_darwin.py -k 'not test_exclusion_preview_populated'
export PYS=$(shell $(py3versions --supported))
export QT_SELECT=qt6
export HOME=/tmp/home
export XDG_RUNTIME_DIR=/tmp/run

%:
	dh $@ --buildsystem=pybuild

override_dh_python3:
	dh_python3
	mkdir -p debian/vorta/usr/share/applications/ \
	         debian/vorta/usr/share/icons/hicolor/scalable/apps \
	         debian/vorta/usr/share/metainfo/
	make translations-to-qm
	dh_install -X src/vorta/i18n/qm/.gitkeep src/vorta/i18n/qm/ \
	   /usr/lib/python3/dist-packages/vorta/i18n/
	mv debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata/com.borgbase.Vorta.appdata.xml \
	   debian/vorta/usr/share/metainfo/
	mv debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata/com.borgbase.Vorta.desktop \
	   debian/vorta/usr/share/applications/
	rm -rf debian/vorta/usr/lib/python3/dist-packages/vorta/assets/metadata
	install -m 644 src/vorta/assets/icons/icon.svg \
	               debian/vorta/usr/share/icons/hicolor/scalable/apps/com.borgbase.Vorta.svg

override_dh_auto_test:
	mkdir -p $(HOME)
	mkdir -p $(XDG_RUNTIME_DIR)
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" \
	         dbus-run-session dh_auto_test
