=== debian/watch ===
version=4
opts=\
searchmode=plain,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
uversionmangle=s/(\d)-(alpha|beta|rc)/$1~$2/,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1\.tar\.gz%,\
pgpmode=none \
  https://api.github.com/repos/borgbase/vorta/tags \
  https://api.github.com/repos/borgbase/vorta/tarball/refs/tags/v?@ANY_VERSION@
