=== debian/changelog ===
vorta (0.11.2-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 04 Jan 2026 21:21:13 -0800

vorta (0.11.2-1) unstable; urgency=medium

  * New upstream release.
  * Rebase quilt series onto this release:
    - Drop 0008-no-python3-pkg-resources.patch, which is no longer required.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 03 Jan 2026 21:36:39 -0500
